%define perlname Proc-Daemon

Name:      perl-Proc-Daemon
Version:   0.03
Release:   5%{?dist}
Summary:   Run Perl program as a daemon process 

Group:     Development/Libraries
License:   GPL+ or Artistic
URL:       http://search.cpan.org/dist/Proc-Daemon/
Source:    http://search.cpan.org/CPAN/authors/id/E/EH/EHOOD/%{perlname}-%{version}.tar.gz
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: perl
BuildRequires: perl(ExtUtils::MakeMaker)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This is version %{version} of Proc::Daemon

This module contains the routine Init which can be called by a Perl 
program to initialize itself as a daemon. A daemon is a process that
runs in the background with no controlling terminal. Generally servers
(like FTP and HTTP servers) run as daemon processes.


%prep
%setup -q -n %{perlname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';' -print
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';' -print
chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%clean
rm -rf %{buildroot}

%check
make test

%files
%defattr(-, root, root, -)
%doc Changes README
%{_mandir}/man3/Proc*
%{perl_vendorlib}/Proc

%changelog
* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.03-5
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.03-2.2
Rebuild for new perl

* Tue Oct 16 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.03-1.2
- correct license tag
- add BR: perl(ExtUtils::MakeMaker)

* Sun Feb 11 2006 Remi Collet <Fedora@famillecollet.com> 0.03-1
- initial spec for Extras
